Skip to main content
DELETE
/
v3
/
variants
/
{variant_id}
/
digital-product-files
/
{id}
Delete a variant digital product file
curl --request DELETE \
  --url https://api.myscalev.com/v3/variants/{variant_id}/digital-product-files/{id} \
  --header 'Authorization: Bearer <token>'
{
  "content_type": "<string>",
  "id": 123,
  "name": "<string>",
  "size_in_bytes": 123,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

variant_id
string
required
id
string
required

Response

Digital product file deleted successfully

content_type
string

MIME type of the digital product file

id
integer

Digital product file primary key

name
string

File name of the digital product file

size_in_bytes
integer

Size of the digital product file in bytes

url
string<uri>

URL to access the digital product file